<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" type="text/css" href="../style.css">
</head>
<body>

<h1>Pit Test Coverage Report</h1>
<h2>Package Summary</h2>
<h3>com.softwaretesting.testing.util</h3>
<table>
    <thead>
        <tr>
            <th>Number of Classes</th>
            <th>Line Coverage</th>
            <th>Mutation Coverage</th>
            <th>Test Strength</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>2</td>
            <td>83% <div class="coverage_bar"><div class="coverage_complete width-83"></div><div class="coverage_legend">25/30</div></div></td>
            <td>74% <div class="coverage_bar"><div class="coverage_complete width-74"></div><div class="coverage_legend">28/38</div></div></td>
            <td>93% <div class="coverage_bar"><div class="coverage_complete width-93"></div><div class="coverage_legend">28/30</div></div></td>
        </tr>
    </tbody>
</table>


<h3>Breakdown by Class</h3>
<table>
    <thead>
        <tr>
            <th>Name</th>
            <th>Line Coverage</th>
            <th>Mutation Coverage</th>
            <th>Test Strength</th>
        </tr>
    </thead>
    <tbody>

        <tr>
            <td><a href="./DebugFactorial.java.html">DebugFactorial.java</a></td>
            <td><div class="coverage_percentage">88% </div><div class="coverage_bar"><div class="coverage_complete width-88"></div><div class="coverage_legend">7/8</div></div></td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">5/5</div></div></td>
            <td><div class="coverage_percentage">100% </div><div class="coverage_bar"><div class="coverage_complete width-100"></div><div class="coverage_legend">5/5</div></div></td>
        </tr>

        <tr>
            <td><a href="./Misc.java.html">Misc.java</a></td>
            <td><div class="coverage_percentage">82% </div><div class="coverage_bar"><div class="coverage_complete width-82"></div><div class="coverage_legend">18/22</div></div></td>
            <td><div class="coverage_percentage">70% </div><div class="coverage_bar"><div class="coverage_complete width-70"></div><div class="coverage_legend">23/33</div></div></td>
            <td><div class="coverage_percentage">92% </div><div class="coverage_bar"><div class="coverage_complete width-92"></div><div class="coverage_legend">23/25</div></div></td>
        </tr>

     </tbody>
</table>
<br/>



<hr/>

Report generated by <a href='http://pitest.org'>PIT</a> 1.8.0

</body>
</html>